Bug 1027057 - (CVE-2017-6349) VUL-1: CVE-2017-6349: vim: An integer overflow at a u_read_undo memory allocation site would occurfor vim before patch 8.0.037...
(CVE-2017-6349)
VUL-1: CVE-2017-6349: vim: An integer overflow at a u_read_undo memory alloca...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Ismail Dönmez
Security Team bot
https://smash.suse.de/issue/180955/
CVSSv2:SUSE:CVE-2017-6349:4.1:(AV:L/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-27 11:03 UTC by Marcus Meissner
Modified: 2019-06-14 06:41 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2017-02-27 11:03:46 UTC
CVE-2017-6349

An integer overflow at a u_read_undo memory allocation site would occur
for vim before patch 8.0.0377, if it does not properly validate values
for tree length when reading a corrupted undo file, which may lead to
resultant buffer overflows.


    MISC:https://github.com/vim/vim/commit/3eb1637b1bba19519885dd6d377bd5596e91d22c
    MISC:https://groups.google.com/forum/#!topic/vim_dev/LAgsTcdSfNA
    MISC:https://groups.google.com/forum/#!topic/vim_dev/QPZc0CY9j3Y
Comment 1 Marcus Meissner 2017-02-27 11:07:43 UTC
i cant spot the code in sle11 vim, it might just be in sle12 and opensuse vim
Comment 2 Swamp Workflow Management 2017-02-27 23:01:57 UTC
bugbot adjusting priority
Comment 4 Swamp Workflow Management 2017-06-29 01:10:03 UTC
SUSE-SU-2017:1712-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1018870,1024724,1027053,1027057
CVE References: CVE-2017-5953,CVE-2017-6349,CVE-2017-6350
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    vim-7.4.326-16.1
SUSE Linux Enterprise Server 12-SP2 (src):    vim-7.4.326-16.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    vim-7.4.326-16.1
OpenStack Cloud Magnum Orchestration 7 (src):    vim-7.4.326-16.1
Comment 5 Swamp Workflow Management 2017-07-06 22:16:18 UTC
openSUSE-SU-2017:1811-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1018870,1024724,1027053,1027057
CVE References: CVE-2017-5953,CVE-2017-6349,CVE-2017-6350
Sources used:
openSUSE Leap 42.2 (src):    vim-7.4.326-10.3.1
Comment 6 Ismail Dönmez 2017-08-02 10:47:39 UTC
Fixed.